# Uses of Interface
org.bukkit.conversations.ConversationPrefix

Packages that use ConversationPrefix
Package
Description
org.bukkit.conversations
Classes dedicated to facilitate direct player-to-plugin communication.

## Uses of ConversationPrefix in org.bukkit.conversations

Classes in org.bukkit.conversations that implement ConversationPrefix
Modifier and Type
Class
Description
`class`
`NullConversationPrefix`
NullConversationPrefix is a `ConversationPrefix` implementation that displays nothing in front of conversation output.
`class`
`PluginNameConversationPrefix`
PluginNameConversationPrefix is a `ConversationPrefix` implementation that displays the plugin name in front of conversation output.
Fields in org.bukkit.conversations declared as ConversationPrefix
Modifier and Type
Field
Description
`protected ConversationPrefix`
Conversation.`prefix`
`protected ConversationPrefix`
ConversationFactory.`prefix`
Methods in org.bukkit.conversations that return ConversationPrefix
Modifier and Type
Method
Description
`@NotNull ConversationPrefix`
Conversation.`getPrefix()`
Gets the `ConversationPrefix` that prepends all output from this conversation.
Methods in org.bukkit.conversations with parameters of type ConversationPrefix
Modifier and Type
Method
Description
`@NotNull ConversationFactory`
ConversationFactory.`withPrefix(@NotNull ConversationPrefix prefix)`
Sets the `ConversationPrefix` that prepends all output from all generated conversations.